Bug 894741 - Logitech bluetooth k810 keyboard doesn't pair
Logitech bluetooth k810 keyboard doesn't pair
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-13 10:41 EST by Evgeniy Polyakov
Modified: 2015-02-17 09:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:40:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Evgeniy Polyakov 2013-01-13 10:41:22 EST
Logitech k810 bluetooth keyboard doesn't pair neither with gnome-bluetooth nor with blueman

It is detected correctly, but pairing fails.
Gnome-bluetooth just says 'connecting to keyboard... setting up keyboard failed', while blueman goes to pin receiving, which fails. Actually looks like blueman receives some data from the keyboard, at least it pressing Enter indeed is received by blueman, but keyboard setup fails.

Here is log for gnome-bluetooth setup:
Jan 13 19:39:55 odin bluetoothd[765]: bluetoothd[765]: Discovery session 0x7f39b3b473b0 with :1.4008 activated
Jan 13 19:39:55 odin bluetoothd[765]: Discovery session 0x7f39b3b473b0 with :1.4008 activated
Jan 13 19:40:00 odin bluetoothd[765]: bluetoothd[765]: Stopping discovery
Jan 13 19:40:00 odin bluetoothd[765]: Stopping discovery
Jan 13 19:40:01 odin dbus-daemon[730]: dbus[730]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.4008" (uid=1000 pid=6830 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Jan 13 19:40:01 odin dbus[730]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.4008" (uid=1000 pid=6830 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Comment 1 Evgeniy Polyakov 2013-01-13 10:42:27 EST
$ rpm -qa | egrep "kernel|blue"
libreport-plugin-kerneloops-2.0.20-1.fc17.R.x86_64
bluez-cups-4.99-2.fc17.x86_64
pulseaudio-module-bluetooth-1.1-9.fc17.x86_64
gnome-bluetooth-3.4.2-1.fc17.x86_64
kernel-3.6.9-2.fc17.x86_64
bluez-4.99-2.fc17.x86_64
kernel-headers-3.6.10-2.fc17.x86_64
kernel-3.3.4-5.fc17.x86_64
kernel-3.6.10-2.fc17.x86_64
gnome-bluetooth-libs-3.4.2-1.fc17.x86_64
bluez-libs-4.99-2.fc17.x86_64

$ uname -a
Linux odin 3.6.10-2.fc17.x86_64 #1 SMP Tue Dec 11 18:07:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Bastien Nocera 2013-01-14 03:17:33 EST
Try putting SELinux in permissive mode to start with (edit /etc/sysconfig/selinux and change the SELINUX= line to read SELINUX=permissive).
Comment 3 Evgeniy Polyakov 2013-01-14 06:53:27 EST
Nope, it doesn't help
Deesn't look like org.freedesktop.DBus.Error.InvalidArgs is related to selinux


Jan 14 15:50:15 odin bluetoothd[765]: bluetoothd[765]: Discovery session 0x7f39b3b47090 with :1.4361 activated
Jan 14 15:50:15 odin bluetoothd[765]: Discovery session 0x7f39b3b47090 with :1.4361 activated
Jan 14 15:50:26 odin bluetoothd[765]: bluetoothd[765]: Stopping discovery
Jan 14 15:50:26 odin bluetoothd[765]: Stopping discovery
Jan 14 15:50:27 odin udevd[370]: specified group 'plugdev' unknown
Jan 14 15:50:27 odin dbus-daemon[730]: dbus[730]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.4361" (uid=1000 pid=6145 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.InvalidArgs" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Jan 14 15:50:27 odin dbus[730]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.4361" (uid=1000 pid=6145 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.InvalidArgs" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Jan 14 15:51:27 odin dbus-daemon[730]: dbus[730]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.4361" (uid=1000 pid=6145 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Jan 14 15:51:27 odin dbus[730]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.4361" (uid=1000 pid=6145 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=765 comm="/usr/sbin/bluetoothd -n ")
Jan 14 15:51:27 odin udevd[370]: specified group 'plugdev' unknown
Comment 4 Evgeniy Polyakov 2013-01-18 15:49:46 EST
Keyboard pairs with Mac and Android 4.1.2
Comment 5 Jake B 2013-02-19 01:15:51 EST
This is what I did to get my K810 working on Linux Mint (I dont think it will be too dissimilar)..

    Turn on PC Bluetooth and set to discoverable
    Turn on Bluetooth device, and set to discoverable
    In a new terminal type:

    Code: Select all
        hcitool scan

    and copy mac address XX:XX:XX:XX:XX:XX of the device

    Now in another terminal type (switches are for ascii output, and date stamped):

    Code: Select all
        sudo hcidump -at


    You should get output similar to what is posted below (followed by a blinking cursor):
    HCI sniffer - Bluetooth packet analyzer ver 2.4
    device: hci0 snap_len: 1028 filter: 0xffffffffffffffff

    Assuming the device is on 'hci0', switch back to your original terminal and type:

    Code: Select all
        sudo bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX


    Now in the hcidump terminal you will see a few things scroll past until you get something that looks like:
    2013-02-07 15:35:40.653393 > HCI Event: User Passkey Notification (0x3b) plen 10
    bdaddr XX:XX:XX:XX:XX:XX passkey xxxxxx

    Type the 'passkey' in and press ENTER
    In the original terminal, on success you should get "Release" and "New device (/org/bluez/..."
    Now set device as trusted:

    Code: Select all
        sudo bluez-test-device trusted XX:XX:XX:XX:XX:XX yes


    You might have a connection now, but still need to:

    Code: Select all
        sudo bluez-test-input connect XX:XX:XX:XX:XX:XX
Comment 6 Jake B 2013-02-19 01:22:30 EST
ugh sorry meant to add this aswell:

The pairing seems to fail in the GUI all the time, no matter what option or switches I used. Using the method described above I was able to connect on a fresh Ubuntu base system using nothing but the command line. Keyboard also works on cold/warm reboot of the same system, without having any GUI system installed at all.

http://forums.linuxmint.com/viewtopic.php?f=42&t=125166  my longer post on the Linux Mint forums for people who arent so familiar with Linux.
Comment 7 Evgeniy Polyakov 2013-02-20 17:24:30 EST
Nope, simple-agent fails
That's what I get from hcidump:
$ sudo hcidump -at
HCI sniffer - Bluetooth packet analyzer ver 2.2
device: hci0 snap_len: 1028 filter: 0xffffffffffffffff
2013-02-21 02:18:39.097868 < HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:1F:20:4D:76:95 ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
2013-02-21 02:18:39.098675 > HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
2013-02-21 02:18:40.289783 > HCI Event: Connect Complete (0x03) plen 11
    status 0x00 handle 12 bdaddr 00:1F:20:4D:76:95 type ACL encrypt 0x00
2013-02-21 02:18:40.289892 < HCI Command: Read Remote Supported Features (0x01|0x001b) plen 2
    handle 12
2013-02-21 02:18:40.290688 > HCI Event: Command Status (0x0f) plen 4
    Read Remote Supported Features (0x01|0x001b) status 0x00 ncmd 1
2013-02-21 02:18:40.300675 > HCI Event: Read Remote Supported Features (0x0b) plen 11
    status 0x00 handle 12
    Features: 0xbc 0x04 0x82 0x78 0x00 0x06 0x59 0x83
2013-02-21 02:18:40.300709 < HCI Command: Read Remote Extended Features (0x01|0x001c) plen 3
    handle 12 page 1
2013-02-21 02:18:40.301668 > HCI Event: Command Status (0x0f) plen 4
    Read Remote Extended Features (0x01|0x001c) status 0x00 ncmd 1
2013-02-21 02:18:40.305676 > HCI Event: Read Remote Extended Features (0x23) plen 13
    status 0x00 handle 12 page 1 max 1
    Features: 0x01 0x00 0x00 0x00 0x00 0x00 0x00 0x00
2013-02-21 02:18:40.305708 < HCI Command: Remote Name Request (0x01|0x0019) plen 10
    bdaddr 00:1F:20:4D:76:95 mode 2 clkoffset 0x0000
2013-02-21 02:18:40.306667 > HCI Event: Command Status (0x0f) plen 4
    Remote Name Request (0x01|0x0019) status 0x00 ncmd 1
2013-02-21 02:18:40.326685 > HCI Event: Remote Name Req Complete (0x07) plen 255
    status 0x00 bdaddr 00:1F:20:4D:76:95 name 'Logitech K810'
2013-02-21 02:18:40.326722 < HCI Command: Authentication Requested (0x01|0x0011) plen 2
    handle 12
2013-02-21 02:18:40.327688 > HCI Event: Command Status (0x0f) plen 4
    Authentication Requested (0x01|0x0011) status 0x00 ncmd 1
2013-02-21 02:18:40.328677 > HCI Event: Link Key Request (0x17) plen 6
    bdaddr 00:1F:20:4D:76:95
2013-02-21 02:18:40.328786 < HCI Command: Link Key Request Negative Reply (0x01|0x000c) plen 6
    bdaddr 00:1F:20:4D:76:95
2013-02-21 02:18:40.329680 > HCI Event: Command Complete (0x0e) plen 10
    Link Key Request Negative Reply (0x01|0x000c) ncmd 1
    status 0x00 bdaddr 00:1F:20:4D:76:95
2013-02-21 02:18:40.330676 > HCI Event: IO Capability Request (0x31) plen 6
    bdaddr 00:1F:20:4D:76:95
2013-02-21 02:18:40.330784 < HCI Command: IO Capability Request Reply (0x01|0x002b) plen 9
    bdaddr 00:1F:20:4D:76:95 capability 0x04 oob 0x00 auth 0x03
    Capability: Reserved (OOB data not present)
    Authentication: Dedicated Bonding (MITM Protection)
2013-02-21 02:18:40.331678 > HCI Event: Command Complete (0x0e) plen 10
    IO Capability Request Reply (0x01|0x002b) ncmd 1
    status 0x00 bdaddr 00:1F:20:4D:76:95
2013-02-21 02:18:40.337710 > HCI Event: IO Capability Response (0x32) plen 9
    bdaddr 00:1F:20:4D:76:95 capability 0x02 oob 0x00 auth 0x04
    Capability: KeyboardOnly (OOB data not present)
    Authentication: General Bonding (No MITM Protection)


... timeout ...


2013-02-21 02:19:06.108914 < HCI Command: Disconnect (0x01|0x0006) plen 3
    handle 12 reason 0x13
    Reason: Remote User Terminated Connection
2013-02-21 02:19:06.109879 > HCI Event: Command Status (0x0f) plen 4
    Disconnect (0x01|0x0006) status 0x00 ncmd 1
2013-02-21 02:19:06.202823 > HCI Event: Simple Pairing Complete (0x36) plen 7
    status 0x05 bdaddr 00:1F:20:4D:76:95
    Error: Authentication Failure
2013-02-21 02:19:06.203889 > HCI Event: Auth Complete (0x06) plen 3
    status 0x05 handle 12
    Error: Authentication Failure
2013-02-21 02:19:06.204841 > HCI Event: Disconn Complete (0x05) plen 4
    status 0x00 handle 12 reason 0x16
    Reason: Connection Terminated by Local Host


So it didn't get to passkey auth, timeouting after general bonding discovery.
This is bluez-4.99-2.fc17.x86_64
Comment 8 JC 2013-05-15 18:15:35 EDT
I got my k810 paired with fedora 18.

The problem lies in gnome GUI showing the wrong passcode.

I ran hcidump -at while paring with GUI. But I ignored 
the passcode displayed by GUI and use the dump's passcode.

And voila I paired it and now type with the wonderful keyboard.
Comment 9 Andrew Davis 2013-07-03 01:45:29 EDT
Problem remains on Fedora 19.

bluez-4.101-6.fc19.x86_64
bluez-libs-4.101-6.fc19.x86_64
gnome-bluetooth-3.8.1-1.fc19.x86_64
bluez-hid2hci-4.101-6.fc19.x86_64
gnome-bluetooth-libs-3.8.1-1.fc19.x86_64

Comment 8 workaround continues to work (thanks JC).
Comment 10 Fedora End Of Life 2013-07-03 16:54:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Evgeniy Polyakov 2013-07-28 22:46:10 EDT
Bug still exists in Fedora 19

Althoug I managed to get it working by using above hack, which in modern Fedora requires getting source bluez package and manually getting test-device, test-input and simple-agent scripts out.
Comment 12 Evgeniy Polyakov 2013-07-28 23:02:35 EDT
F* keys do not work, actually they work like alternative keys (turning on/off light or changing sound volume).
Pressing Fn+F1 emits F1 event though.

In apple keyboard there is fnmode /sys parameter, but there is no hid-logitech kernel module to tune this keyboard
Comment 13 Fedora Admin XMLRPC Client 2013-08-26 10:24:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Rykel 2013-11-01 16:01:22 EDT
Hi Evgeniy Polyakov, Thank you for your comment. I am using K810 with Ubuntu 13.10, managed to get it to work with the OP's instructions and now most of the Fn keys work, although a bit differently as you said... ie. with the ALT key instead.

As for anybody who may get the repeeeeeeeeeeeeeeeeeated key problem, try turning off your wifi and see if it helps! This repeatttttttttttttttttted key problem seems to be an Android/Linux kernel issue with the wifi and bluetooth antennas.

Will Ubuntu and/or Logitech resolve the pairing of this great keyboard with our fav OS? Only time will tell...
Comment 15 Andrew Davis 2013-12-27 20:38:37 EST
Problem remains on Fedora 20

bluez-cups-5.12-2.fc20.x86_64
gnome-bluetooth-libs-3.10.0-1.fc20.x86_64
gnome-bluetooth-3.10.0-1.fc20.x86_64
bluez-hid2hci-5.12-2.fc20.x86_64
pulseaudio-module-bluetooth-4.0-9.gitf81e3.fc20.x86_64
bluez-5.12-2.fc20.x86_64

Comment 8 workaround continues to work (thanks JC), however now you have to blindly type in the pairing code provided by hcidump on the K810 during pairing as no passcode window pops up.
Comment 16 Joshua Wulf 2014-01-05 16:51:31 EST
Got the same issue with the Logitech K811 on Fedora 20. 

I got around it with 'hcidump -at' to get the passcode from the keyboard, and using bluetoothctl to do the connection.
Comment 17 James Harrion 2014-06-27 01:35:56 EDT
Hi,
I have an Apple Keyboard that is being stubborn. I am not getting back the pairing code from the keyboard. I am using the following bluetoothctl commands in an attempt to pair it:

[root@LP000138 ~]# bluetoothctl
[NEW] Controller 74:E5:43:4F:24:BE LP000138.nexus.xxxxxxx.com [default]
[NEW] Device 00:0A:95:44:D3:9E Apple Wireless Keyboard


[root@LP000138 ~]# bluetoothctl
[NEW] Controller 74:E5:43:4F:24:BE LP000138.nexus.xxxxxxx.com [default]
[bluetooth]# agent on
Agent registered
[bluetooth]# scan on
Discovery started
[CHG] Controller 74:E5:43:4F:24:BE Discovering: yes
[NEW] Device 00:0A:95:44:D3:9E Apple Wireless Keyboard
[bluetooth]# trust 00:0A:95:44:D3:9E
[CHG] Device 00:0A:95:44:D3:9E Trusted: yes
Changing 00:0A:95:44:D3:9E trust succeeded
[bluetooth]# connect 00:0A:95:44:D3:9E
Attempting to connect to 00:0A:95:44:D3:9E
[bluetooth]# pair 00:0A:95:44:D3:9E
Attempting to pair with 00:0A:95:44:D3:9E
Failed to pair: org.bluez.Error.AuthenticationTimeout
Failed to connect: org.bluez[CHG] Device 00:0A:95:44:D3:9E RSSI: -56.Error.Failed
[CHG] Device 00:0A:95:44:D3:9E RSSI: -64
[CHG] Device 00:0A:95:44:D3:9E RSSI: -56

.... and the 'hcidump -at' output:

2014-06-27 06:32:57.684937 < HCI Command: LE Set Scan Parameters (0x08|0x000b) plen 7
    type 0x01 (active)
    interval 11.250ms window 11.250ms
    own address: 0x00 (Public) policy: All
2014-06-27 06:32:57.685822 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Parameters (0x08|0x000b) ncmd 1
    status 0x00
2014-06-27 06:32:57.685852 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x01 (scanning enabled)
    filter duplicates 0x01 (enabled)
2014-06-27 06:32:57.686819 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:02.819727 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x00 (scanning disabled)
    filter duplicates 0x00 (disabled)
2014-06-27 06:33:02.821926 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:02.821990 < HCI Command: Inquiry (0x01|0x0001) plen 5
    lap 0x9e8b33 len 4 num 0
2014-06-27 06:33:02.824923 > HCI Event: Command Status (0x0f) plen 4
    Inquiry (0x01|0x0001) status 0x00 ncmd 1
2014-06-27 06:33:05.096837 > HCI Event: Inquiry Result with RSSI (0x22) plen 15
    bdaddr 00:0A:95:44:D3:9E mode 1 clkoffset 0x6cc3 class 0x002540 rssi -55
2014-06-27 06:33:07.947880 > HCI Event: Inquiry Complete (0x01) plen 1
    status 0x00
2014-06-27 06:33:13.690899 < HCI Command: LE Set Scan Parameters (0x08|0x000b) plen 7
    type 0x01 (active)
    interval 11.250ms window 11.250ms
    own address: 0x00 (Public) policy: All
2014-06-27 06:33:13.691957 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Parameters (0x08|0x000b) ncmd 1
    status 0x00
2014-06-27 06:33:13.692023 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x01 (scanning enabled)
    filter duplicates 0x01 (enabled)
2014-06-27 06:33:13.692947 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:18.819672 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x00 (scanning disabled)
    filter duplicates 0x00 (disabled)
2014-06-27 06:33:18.821884 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:18.821898 < HCI Command: Inquiry (0x01|0x0001) plen 5
    lap 0x9e8b33 len 4 num 0
2014-06-27 06:33:18.824880 > HCI Event: Command Status (0x0f) plen 4
    Inquiry (0x01|0x0001) status 0x00 ncmd 1
2014-06-27 06:33:21.344913 > HCI Event: Inquiry Result with RSSI (0x22) plen 15
    bdaddr 00:0A:95:44:D3:9E mode 1 clkoffset 0x6cc3 class 0x002540 rssi -55
2014-06-27 06:33:22.602277 < HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:0A:95:44:D3:9E ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
2014-06-27 06:33:22.603926 > HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
2014-06-27 06:33:23.947999 > HCI Event: Inquiry Complete (0x01) plen 1
    status 0x00
2014-06-27 06:33:29.691050 < HCI Command: LE Set Scan Parameters (0x08|0x000b) plen 7
    type 0x01 (active)
    interval 11.250ms window 11.250ms
    own address: 0x00 (Public) policy: All
2014-06-27 06:33:29.691949 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Parameters (0x08|0x000b) ncmd 1
    status 0x00
2014-06-27 06:33:29.691992 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x01 (scanning enabled)
    filter duplicates 0x01 (enabled)
2014-06-27 06:33:29.692951 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:30.192469 < HCI Command: LE Set Scan Enable (0x08|0x000c) plen 2
    value 0x00 (scanning disabled)
    filter duplicates 0x00 (disabled)
2014-06-27 06:33:30.194951 > HCI Event: Command Complete (0x0e) plen 4
    LE Set Scan Enable (0x08|0x000c) ncmd 1
    status 0x00
2014-06-27 06:33:56.081051 > HCI Event: Connect Complete (0x03) plen 11
    status 0x22 handle 12 bdaddr 00:0A:95:44:D3:9E type ACL encrypt 0x00
    Error: LMP Response Timeout
2014-06-27 06:34:01.690540 < HCI Co
Comment 18 JC 2014-06-27 02:39:25 EDT
Hi 
    Taking a shot in the dark. I use bluetoothctl everyday at work. But, I think you can trigger the pairing by running the bluetooth-wizard command. In my particular keyboard Targus folding keyboard, the bluetoothctl does not work by itself, and it only works correctly when bluetooth-wizard is running at the same time.

JC 

(In reply to James Harrion from comment #17)
> Hi,
> I have an Apple Keyboard that is being stubborn. I am not getting back the
> pairing code from the keyboard. I am using the following bluetoothctl
> commands in an attempt to pair it:
> 
> [root@LP000138 ~]# bluetoothctl
> [NEW] Controller 74:E5:43:4F:24:BE LP000138.nexus.xxxxxxx.com [default]
> [NEW] Device 00:0A:95:44:D3:9E Apple Wireless Keyboard
> 
>
Comment 19 Fedora End Of Life 2015-01-09 12:34:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-17 09:40:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.